Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Savestates compatybility issue
#1
Hi,

I've found my old backup of savestates of Final Fantasy XII that I would like to load and play again. The problem is, the savestates are not compatible with the new version of PCSX2 1.2.1 (r5875).

Here is log from the error:
 
================================================================


 > Selected savestate slot 1
Loading savestate from slot 1...
    filename: C:\Users\XXXXX\Documents\PCSX2\sstates\SLPM-66750 (1E7A88A7).01.p2s
Savestate is corrupt or incomplete!
Path: C:\Users\XXXXXX\Documents\PCSX2\sstates\SLPM-66750 (1E7A88A7).01.p2s
(pxActionEvent) Savestate uses an unknown savestate version.
(PCSX2 ver=9a0a0000, state ver=9a080000)(VM_UnzipFromDisk).

================================================================



It there any method or special tool to convert old versions of savestates to the most new version of PCSX2?
Reply

Sponsored links

#2
no.
savestates aren't cross version compatible.
CPU : I7 2600K Oc'ed @ 4.2Ghz
Mobo : Intel P67 southbridge
GPU : NVIDIA Geforce GTX 750 Ti
RAM : 6 Go
Reply
#3
(08-06-2015, 01:21 PM)jesalvein Wrote: no.
savestates aren't cross version compatible.

Thank you!

So I need to use older version of PCSX2.
Could someone tell me which latest version on PCSX2 is comptible with savestates marked as - PCSX2 ver=9a0a0000, state ver=9a080000 ?
I reallly don't know what version of PCSX2 should I download to run that sstates.
Reply
#4
The version was changed from 9A07 to 9A08 on May 24th, 2012 - https://github.com/PCSX2/pcsx2/commit/9b...db0a938c3a

The version was changed from 9A08 to 9A09 on August 17th, 2012 - https://github.com/PCSX2/pcsx2/commit/d4...5b5d5df448

So you'll need a build from between those dates.

You can find builds from this dates range here: http://buildbot.orphis.net/pcsx2svn/inde...m=fulllist

This appears to be the latest build with 9A08 from August 15th, 2012: r5379 http://buildbot.orphis.net/pcsx2svn/inde...indows-x86
[i7-3630qm/gt650m-2G/Win-7] [i7-4500u/R.HD8850m/Win-8.1] [2010-MBA/OSX-10.9.x]. Scroll smoothly with SmoothWheel for Firefox.
Reply
#5
(08-06-2015, 02:12 PM)avih Wrote: The version was changed from 9A07 to 9A08 on May 24th, 2012 - https://github.com/PCSX2/pcsx2/commit/9b...db0a938c3a

The version was changed from 9A08 to 9A09 on August 17th, 2012 -  https://github.com/PCSX2/pcsx2/commit/d4...5b5d5df448

So you'll need a build from between those dates.

You can find builds from this dates range here: http://buildbot.orphis.net/pcsx2svn/inde...m=fulllist

This appears to be the latest build with 9A08 from August 15th, 2012: r5379 http://buildbot.orphis.net/pcsx2svn/inde...indows-x86


Thanks a lot man! You resolved my problem, I've downloaded version 1.0.0.
 I'm just curious, how I can check by myself what numbers (for example: 9A08) corresponds to emulator build (for example PCSX2 v.1.2.1)? If I have similiar problem in the future this information could be very helpfull.
Reply
#6
The savestate version number is at the source code file PCSX2/SaveState.h, and you can check this file's history here https://github.com/PCSX2/pcsx2/commits/m...aveState.h

By looking into each of the changes, you can find when the version was changed.
[i7-3630qm/gt650m-2G/Win-7] [i7-4500u/R.HD8850m/Win-8.1] [2010-MBA/OSX-10.9.x]. Scroll smoothly with SmoothWheel for Firefox.
Reply




Users browsing this thread: 1 Guest(s)